#ifndef __NLSYS_LEX_H_INCLUDED__
#define __NLSYS_LEX_H_INCLUDED__

#include "type.h"

typedef int (*lex_read_func_t)(char *buffer, int size);

objlist_t lex_list_read(lex_read_func_t lex_read_func);
void lex_list_print(objlist_t list);

#endif
